/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __ITERS_STATE_SAFETY_SKEL_H__
#define __ITERS_STATE_SAFETY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct iters_state_safety {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *force_clang_to_emit_btf_for_externs;
		struct bpf_program *create_and_destroy;
		struct bpf_program *create_and_forget_to_destroy_fail;
		struct bpf_program *destroy_without_creating_fail;
		struct bpf_program *compromise_iter_w_direct_write_fail;
		struct bpf_program *compromise_iter_w_direct_write_and_skip_destroy_fail;
		struct bpf_program *compromise_iter_w_helper_write_fail;
		struct bpf_program *leak_iter_from_subprog_fail;
		struct bpf_program *valid_stack_reuse;
		struct bpf_program *double_create_fail;
		struct bpf_program *double_destroy_fail;
		struct bpf_program *next_without_new_fail;
		struct bpf_program *next_after_destroy_fail;
		struct bpf_program *read_from_iter_slot_fail;
		struct bpf_program *stacksafe_should_not_conflate_stack_spill_and_iter;
	} progs;
	struct {
		struct bpf_link *force_clang_to_emit_btf_for_externs;
		struct bpf_link *create_and_destroy;
		struct bpf_link *create_and_forget_to_destroy_fail;
		struct bpf_link *destroy_without_creating_fail;
		struct bpf_link *compromise_iter_w_direct_write_fail;
		struct bpf_link *compromise_iter_w_direct_write_and_skip_destroy_fail;
		struct bpf_link *compromise_iter_w_helper_write_fail;
		struct bpf_link *leak_iter_from_subprog_fail;
		struct bpf_link *valid_stack_reuse;
		struct bpf_link *double_create_fail;
		struct bpf_link *double_destroy_fail;
		struct bpf_link *next_without_new_fail;
		struct bpf_link *next_after_destroy_fail;
		struct bpf_link *read_from_iter_slot_fail;
		struct bpf_link *stacksafe_should_not_conflate_stack_spill_and_iter;
	} links;
	struct iters_state_safety__bss {
		int zero;
	} *bss;

#ifdef __cplusplus
	static inline struct iters_state_safety *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct iters_state_safety *open_and_load();
	static inline int load(struct iters_state_safety *skel);
	static inline int attach(struct iters_state_safety *skel);
	static inline void detach(struct iters_state_safety *skel);
	static inline void destroy(struct iters_state_safety *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
iters_state_safety__destroy(struct iters_state_safety *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
iters_state_safety__create_skeleton(struct iters_state_safety *obj);

static inline struct iters_state_safety *
iters_state_safety__open_opts(const struct bpf_object_open_opts *opts)
{
	struct iters_state_safety *obj;
	int err;

	obj = (struct iters_state_safety *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = iters_state_safety__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	iters_state_safety__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct iters_state_safety *
iters_state_safety__open(void)
{
	return iters_state_safety__open_opts(NULL);
}

static inline int
iters_state_safety__load(struct iters_state_safety *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct iters_state_safety *
iters_state_safety__open_and_load(void)
{
	struct iters_state_safety *obj;
	int err;

	obj = iters_state_safety__open();
	if (!obj)
		return NULL;
	err = iters_state_safety__load(obj);
	if (err) {
		iters_state_safety__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
iters_state_safety__attach(struct iters_state_safety *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
iters_state_safety__detach(struct iters_state_safety *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *iters_state_safety__elf_bytes(size_t *sz);

static inline int
iters_state_safety__create_skeleton(struct iters_state_safety *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "iters_state_safety";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "iters_st.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 15;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "force_clang_to_emit_btf_for_externs";
	s->progs[0].prog = &obj->progs.force_clang_to_emit_btf_for_externs;
	s->progs[0].link = &obj->links.force_clang_to_emit_btf_for_externs;

	s->progs[1].name = "create_and_destroy";
	s->progs[1].prog = &obj->progs.create_and_destroy;
	s->progs[1].link = &obj->links.create_and_destroy;

	s->progs[2].name = "create_and_forget_to_destroy_fail";
	s->progs[2].prog = &obj->progs.create_and_forget_to_destroy_fail;
	s->progs[2].link = &obj->links.create_and_forget_to_destroy_fail;

	s->progs[3].name = "destroy_without_creating_fail";
	s->progs[3].prog = &obj->progs.destroy_without_creating_fail;
	s->progs[3].link = &obj->links.destroy_without_creating_fail;

	s->progs[4].name = "compromise_iter_w_direct_write_fail";
	s->progs[4].prog = &obj->progs.compromise_iter_w_direct_write_fail;
	s->progs[4].link = &obj->links.compromise_iter_w_direct_write_fail;

	s->progs[5].name = "compromise_iter_w_direct_write_and_skip_destroy_fail";
	s->progs[5].prog = &obj->progs.compromise_iter_w_direct_write_and_skip_destroy_fail;
	s->progs[5].link = &obj->links.compromise_iter_w_direct_write_and_skip_destroy_fail;

	s->progs[6].name = "compromise_iter_w_helper_write_fail";
	s->progs[6].prog = &obj->progs.compromise_iter_w_helper_write_fail;
	s->progs[6].link = &obj->links.compromise_iter_w_helper_write_fail;

	s->progs[7].name = "leak_iter_from_subprog_fail";
	s->progs[7].prog = &obj->progs.leak_iter_from_subprog_fail;
	s->progs[7].link = &obj->links.leak_iter_from_subprog_fail;

	s->progs[8].name = "valid_stack_reuse";
	s->progs[8].prog = &obj->progs.valid_stack_reuse;
	s->progs[8].link = &obj->links.valid_stack_reuse;

	s->progs[9].name = "double_create_fail";
	s->progs[9].prog = &obj->progs.double_create_fail;
	s->progs[9].link = &obj->links.double_create_fail;

	s->progs[10].name = "double_destroy_fail";
	s->progs[10].prog = &obj->progs.double_destroy_fail;
	s->progs[10].link = &obj->links.double_destroy_fail;

	s->progs[11].name = "next_without_new_fail";
	s->progs[11].prog = &obj->progs.next_without_new_fail;
	s->progs[11].link = &obj->links.next_without_new_fail;

	s->progs[12].name = "next_after_destroy_fail";
	s->progs[12].prog = &obj->progs.next_after_destroy_fail;
	s->progs[12].link = &obj->links.next_after_destroy_fail;

	s->progs[13].name = "read_from_iter_slot_fail";
	s->progs[13].prog = &obj->progs.read_from_iter_slot_fail;
	s->progs[13].link = &obj->links.read_from_iter_slot_fail;

	s->progs[14].name = "stacksafe_should_not_conflate_stack_spill_and_iter";
	s->progs[14].prog = &obj->progs.stacksafe_should_not_conflate_stack_spill_and_iter;
	s->progs[14].link = &obj->links.stacksafe_should_not_conflate_stack_spill_and_iter;

	s->data = iters_state_safety__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *iters_state_safety__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\x80\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x3f\x72\x61\x77\x5f\x74\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\
\x73\x73\0\x69\x74\x65\x72\x73\x5f\x73\x74\x61\x74\x65\x5f\x73\x61\x66\x65\x74\
\x79\x2e\x63\0\x4c\x42\x42\x30\x5f\x31\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x77\
\x69\x74\x68\x5f\x69\x74\x65\x72\0\x62\x61\x64\0\x73\x6b\x69\x70\x5f\x62\x61\
\x64\0\x66\x6f\x72\x63\x65\x5f\x63\x6c\x61\x6e\x67\x5f\x74\x6f\x5f\x65\x6d\x69\
\x74\x5f\x62\x74\x66\x5f\x66\x6f\x72\x5f\x65\x78\x74\x65\x72\x6e\x73\0\x62\x70\
\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x77\0\x62\x70\x66\x5f\x69\
\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x78\x74\0\x62\x70\x66\x5f\x69\x74\x65\
\x72\x5f\x6e\x75\x6d\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x63\x72\x65\x61\x74\x65\
\x5f\x61\x6e\x64\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x63\x72\x65\x61\x74\x65\x5f\
\x61\x6e\x64\x5f\x66\x6f\x72\x67\x65\x74\x5f\x74\x6f\x5f\x64\x65\x73\x74\x72\
\x6f\x79\x5f\x66\x61\x69\x6c\0\x64\x65\x73\x74\x72\x6f\x79\x5f\x77\x69\x74\x68\
\x6f\x75\x74\x5f\x63\x72\x65\x61\x74\x69\x6e\x67\x5f\x66\x61\x69\x6c\0\x63\x6f\
\x6d\x70\x72\x6f\x6d\x69\x73\x65\x5f\x69\x74\x65\x72\x5f\x77\x5f\x64\x69\x72\
\x65\x63\x74\x5f\x77\x72\x69\x74\x65\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x70\x72\
\x6f\x6d\x69\x73\x65\x5f\x69\x74\x65\x72\x5f\x77\x5f\x64\x69\x72\x65\x63\x74\
\x5f\x77\x72\x69\x74\x65\x5f\x61\x6e\x64\x5f\x73\x6b\x69\x70\x5f\x64\x65\x73\
\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x70\x72\x6f\x6d\x69\x73\x65\
\x5f\x69\x74\x65\x72\x5f\x77\x5f\x68\x65\x6c\x70\x65\x72\x5f\x77\x72\x69\x74\
\x65\x5f\x66\x61\x69\x6c\0\x6c\x65\x61\x6b\x5f\x69\x74\x65\x72\x5f\x66\x72\x6f\
\x6d\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x66\x61\x69\x6c\0\x76\x61\x6c\x69\x64\
\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x75\x73\x65\0\x64\x6f\x75\x62\x6c\x65\x5f\
\x63\x72\x65\x61\x74\x65\x5f\x66\x61\x69\x6c\0\x64\x6f\x75\x62\x6c\x65\x5f\x64\
\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\0\x6e\x65\x78\x74\x5f\x77\x69\x74\
\x68\x6f\x75\x74\x5f\x6e\x65\x77\x5f\x66\x61\x69\x6c\0\x6e\x65\x78\x74\x5f\x61\
\x66\x74\x65\x72\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\0\x72\x65\
\x61\x64\x5f\x66\x72\x6f\x6d\x5f\x69\x74\x65\x72\x5f\x73\x6c\x6f\x74\x5f\x66\
\x61\x69\x6c\0\x73\x74\x61\x63\x6b\x73\x61\x66\x65\x5f\x73\x68\x6f\x75\x6c\x64\
\x5f\x6e\x6f\x74\x5f\x63\x6f\x6e\x66\x6c\x61\x74\x65\x5f\x73\x74\x61\x63\x6b\
\x5f\x73\x70\x69\x6c\x6c\x5f\x61\x6e\x64\x5f\x69\x74\x65\x72\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x7a\x65\x72\x6f\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\
\x72\x65\x6c\x3f\x72\x61\x77\x5f\x74\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x2c\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x41\0\0\0\x04\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\x48\x02\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x5a\0\0\0\x04\0\0\0\0\0\0\x05\x08\0\0\0\
\0\0\0\0\0\0\0\0\x5e\0\0\0\x04\0\0\0\0\0\0\x05\x30\0\0\0\0\0\0\0\0\0\0\0\x67\
\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x8b\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xae\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\x12\0\0\x04\0\0\0\0\0\
\0\0\x70\0\0\0\0\0\0\0\x50\0\0\0\xd6\x12\0\0\x04\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\
\0\x40\0\0\0\xf8\x12\0\0\x04\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\x30\0\0\x01\x16\
\x12\0\0\x04\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\0\x58\0\0\x01\x3a\x12\0\0\x04\0\0\
\0\0\0\0\x01\x88\0\0\0\0\0\0\0\x48\0\0\x01\x6f\x12\0\0\x04\0\0\0\0\0\0\x01\xd0\
\0\0\0\0\0\0\0\x78\0\0\x01\x93\x12\0\0\x04\0\0\0\0\0\0\x02\x48\0\0\0\0\0\0\0\
\x18\0\0\x01\xaf\x12\0\0\x04\0\0\0\0\0\0\x02\x60\0\0\0\0\0\0\0\x80\0\0\x01\xc1\
\x12\0\0\x04\0\0\0\0\0\0\x02\xe0\0\0\0\0\0\0\0\x70\0\0\x01\xd4\x12\0\0\x04\0\0\
\0\0\0\0\x03\x50\0\0\0\0\0\0\0\x60\0\0\x01\xe8\x12\0\0\x04\0\0\0\0\0\0\x03\xb0\
\0\0\0\0\0\0\0\x40\0\0\x01\xfe\x12\0\0\x04\0\0\0\0\0\0\x03\xf0\0\0\0\0\0\0\0\
\x60\0\0\x02\x16\x12\0\0\x04\0\0\0\0\0\0\x04\x50\0\0\0\0\0\0\0\x70\0\0\x02\x2f\
\x12\0\0\x04\0\0\0\0\0\0\x04\xc0\0\0\0\0\0\0\0\x90\0\0\x02\x62\x11\0\0\x05\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x02\x6b\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb4\x20\0\0\0\0\0\0\
\xb4\x30\0\0\0\0\0\x01\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\xbf\x1a\0\
\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb4\x20\0\0\0\0\0\0\xb4\x30\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\
\x85\x01\0\0\xff\xff\xff\xff\x55\0\xff\xfc\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\
\0\0\xff\xff\xff\xf8\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\xb7\
\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\x03\xe8\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\
\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\
\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\
\0\0\0\xb7\x30\0\0\0\0\x03\xe8\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xf8\xbf\x16\0\0\
\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\
\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\
\0\0\0\xb7\x30\0\0\0\0\x03\xe8\x85\x01\0\0\xff\xff\xff\xff\x7b\x60\0\0\0\0\0\0\
\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\xb7\
\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\x03\xe8\x85\x01\0\0\xff\xff\xff\xff\x7b\x60\0\
\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\
\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\x03\
\xe8\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x07\xb7\
\x20\0\0\0\0\0\x01\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\xbf\x16\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\0\
\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\
\x60\0\0\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\
\0\x03\xe8\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\
\xff\xff\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\x03\xe8\x85\
\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xf8\
\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\x03\xe8\x85\x01\0\0\
\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\x03\
\xe8\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\
\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\x03\xe8\
\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\
\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\x85\
\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xf8\
\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\x03\xe8\x85\x01\0\0\
\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\
\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x6a\
\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xe8\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\
\0\xb7\x30\0\0\0\0\x03\xe8\x85\x01\0\0\xff\xff\xff\xff\x79\x76\0\0\0\0\0\0\x79\
\x86\0\x08\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x07\0\0\
\0\0\0\0\x2d\x78\0\x01\0\0\0\0\xbf\x08\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x8a\0\
\0\0\0\0\0\x07\x80\0\0\xff\xff\xff\xf8\x85\0\0\0\0\0\0\x07\xbf\x60\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x07\xbf\x70\0\0\0\0\0\0\x2d\x67\0\x02\0\0\0\0\x7b\x86\0\0\0\0\
\0\0\x05\0\0\x05\0\0\0\0\xbf\x18\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\
\0\x03\xe8\x85\x01\0\0\xff\xff\xff\xff\x7b\x86\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\
\x7b\x86\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\
\0\0\0\0\0\0\0\x20\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\x09\0\0\0\x0a\0\
\0\0\0\0\0\0\x38\0\0\0\x0a\0\0\0\x0a\0\0\0\0\0\0\0\x58\0\0\0\x0b\0\0\0\x0a\0\0\
\0\0\0\0\0\x98\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\xa8\0\0\0\x0b\0\0\0\x0a\0\0\0\
\0\0\0\0\xe8\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\x01\x18\0\0\0\x0b\0\0\0\x0a\0\0\0\
\0\0\0\x01\x58\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\x01\x70\0\0\0\x0b\0\0\0\x0a\0\0\
\0\0\0\0\x01\xb0\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\x01\xf8\0\0\0\x09\0\0\0\x0a\0\
\0\0\0\0\0\x02\x30\0\0\0\x0b\0\0\0\x0a\0\0\0\0\0\0\x02\x48\0\0\0\x02\0\0\0\x0a\
\0\0\0\0\0\0\x02\x88\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\x02\x98\0\0\0\x0b\0\0\0\
\x0a\0\0\0\0\0\0\x02\xb8\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\x02\xc8\0\0\0\x0b\0\0\
\0\x0a\0\0\0\0\0\0\x03\x08\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\x03\x28\0\0\0\x09\0\
\0\0\x0a\0\0\0\0\0\0\x03\x38\0\0\0\x0b\0\0\0\x0a\0\0\0\0\0\0\x03\x78\0\0\0\x09\
\0\0\0\x0a\0\0\0\0\0\0\x03\x88\0\0\0\x0b\0\0\0\x0a\0\0\0\0\0\0\x03\x98\0\0\0\
\x0b\0\0\0\x0a\0\0\0\0\0\0\x03\xc8\0\0\0\x0a\0\0\0\x0a\0\0\0\0\0\0\x03\xd8\0\0\
\0\x0b\0\0\0\x0a\0\0\0\0\0\0\x04\x18\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\x04\x28\0\
\0\0\x0b\0\0\0\x0a\0\0\0\0\0\0\x04\x38\0\0\0\x0a\0\0\0\x0a\0\0\0\0\0\0\x04\x78\
\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\x04\x98\0\0\0\x0b\0\0\0\x0a\0\0\0\0\0\0\x05\
\x20\0\0\0\x09\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x04\xa4\0\0\x04\
\xa4\0\0\x07\xf8\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\
\x01\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\
\0\0\0\x02\0\0\0\x2d\x11\0\0\0\0\0\0\x04\xff\xff\xff\xff\0\0\0\0\x0d\0\0\x03\0\
\0\0\x03\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\0\0\0\x08\0\0\0\x49\x04\0\0\x01\0\0\0\x08\0\0\0\x56\0\0\0\x0b\0\0\0\0\0\0\0\
\x5f\x08\0\0\0\0\0\0\x0a\0\0\0\x65\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x0c\0\0\0\x01\0\0\0\x78\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\0\x8c\x0c\0\0\x02\0\0\0\x06\0\0\0\0\x0d\0\0\x01\0\0\0\x0f\0\0\0\0\0\0\
\0\x07\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x9d\x0c\0\0\x02\0\0\0\x0e\0\0\0\0\x0d\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\xaf\x0c\0\0\x02\0\0\0\x11\0\0\0\xc4\
\x0c\0\0\x01\0\0\0\x02\0\0\0\x2d\x11\0\0\0\0\0\0\x13\xff\xff\xff\xff\0\0\0\xd7\
\x11\0\0\0\0\0\0\x13\xff\xff\xff\xff\0\0\0\xf0\x11\0\0\0\0\0\0\x13\xff\xff\xff\
\xff\0\0\x01\x37\x0c\0\0\x01\0\0\0\x02\0\0\x01\x59\x11\0\0\0\0\0\0\x17\xff\xff\
\xff\xff\0\0\x01\x75\x11\0\0\0\0\0\0\x17\xff\xff\xff\xff\0\0\x01\xa7\x0c\0\0\
\x01\0\0\0\x02\0\0\x01\x59\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x01\xc5\x11\
\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x02\x08\x0c\0\0\x01\0\0\0\x02\0\0\x01\x59\
\x11\0\0\0\0\0\0\x1d\xff\xff\xff\xff\0\0\x01\xc5\x11\0\0\0\0\0\0\x1d\xff\xff\
\xff\xff\0\0\x02\x2c\x0c\0\0\x01\0\0\0\x02\0\0\x01\x59\x11\0\0\0\0\0\0\x20\xff\
\xff\xff\xff\0\0\x01\x75\x11\0\0\0\0\0\0\x20\xff\xff\xff\xff\0\0\x02\x61\x0c\0\
\0\x01\0\0\0\x02\0\0\x01\x59\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x01\xc5\
\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x02\x85\x0c\0\0\x01\0\0\0\x02\0\0\x01\
\x59\x11\0\0\0\0\0\0\x26\xff\xff\xff\xff\0\0\x02\xa1\x11\0\0\0\0\0\0\x26\xff\
\xff\xff\xff\0\0\x01\x75\x11\0\0\0\0\0\0\x26\xff\xff\xff\xff\0\0\0\0\x0d\0\0\0\
\0\0\0\0\0\0\x02\xd0\x0c\0\0\0\0\0\0\x2a\0\0\x02\xe2\x0c\0\0\x01\0\0\0\x02\0\0\
\0\x2d\x11\0\0\0\0\0\0\x2c\xff\xff\xff\xff\0\0\0\xd7\x11\0\0\0\0\0\0\x2c\xff\
\xff\xff\xff\0\0\0\xf0\x11\0\0\0\0\0\0\x2c\xff\xff\xff\xff\0\0\x02\xf4\x0c\0\0\
\x01\0\0\0\x02\0\0\x01\x59\x11\0\0\0\0\0\0\x30\xff\xff\xff\xff\0\0\x03\x07\x11\
\0\0\0\0\0\0\x30\xff\xff\xff\xff\0\0\x03\x49\x0c\0\0\x01\0\0\0\x02\0\0\x01\x59\
\x11\0\0\0\0\0\0\x33\xff\xff\xff\xff\0\0\x01\xc5\x11\0\0\0\0\0\0\x33\xff\xff\
\xff\xff\0\0\x03\x5d\x0c\0\0\x01\0\0\0\x02\0\0\x01\x59\x11\0\0\0\0\0\0\x36\xff\
\xff\xff\xff\0\0\x01\xc5\x11\0\0\0\0\0\0\x36\xff\xff\xff\xff\0\0\x03\x73\x0c\0\
\0\x01\0\0\0\x02\0\0\x01\x59\x11\0\0\0\0\0\0\x39\xff\xff\xff\xff\0\0\x01\xc5\
\x11\0\0\0\0\0\0\x39\xff\xff\xff\xff\0\0\0\0\x0d\0\0\0\0\0\0\x03\0\0\x03\x8b\
\x0c\0\0\x01\0\0\0\x3c\0\0\x01\x59\x11\0\0\0\0\0\0\x3d\xff\xff\xff\xff\0\0\x03\
\xa4\x11\0\0\0\0\0\0\x3d\xff\xff\xff\xff\0\0\x03\xd4\x0c\0\0\x01\0\0\0\x02\0\0\
\x01\x59\x11\0\0\0\0\0\0\x40\xff\xff\xff\xff\0\0\x04\x07\x11\0\0\0\0\0\0\x40\
\xff\xff\xff\xff\0\0\x04\x35\x11\0\0\0\0\0\0\x40\xff\xff\xff\xff\0\0\x04\x62\
\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\x0c\
\0\0\0\x04\0\0\x04\x67\x0e\0\0\0\0\0\0\x45\0\0\0\x01\0\0\x04\x70\x0e\0\0\0\0\0\
\0\x03\0\0\0\x01\0\0\x07\xd6\x0f\0\0\x01\0\0\0\x04\0\0\0\x46\0\0\0\0\0\0\0\x04\
\0\0\x07\xde\x0f\0\0\x01\0\0\0\x04\0\0\0\x47\0\0\0\0\0\0\0\x04\0\0\x07\xe3\x0f\
\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x12\
\0\0\0\0\0\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x66\x6f\x72\x63\x65\x5f\x63\x6c\
\x61\x6e\x67\x5f\x74\x6f\x5f\x65\x6d\x69\x74\x5f\x62\x74\x66\x5f\x66\x6f\x72\
\x5f\x65\x78\x74\x65\x72\x6e\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x62\x70\x66\
\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\0\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\x5f\
\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x77\
\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x78\x74\0\x62\
\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x64\x65\x73\x74\x72\x6f\x79\0\
\x63\x72\x65\x61\x74\x65\x5f\x61\x6e\x64\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\
\x65\x6c\x3d\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x66\x70\x2d\x38\x5f\x77\x3d\x69\x74\x65\
\x72\x5f\x6e\x75\x6d\x28\x72\x65\x66\x5f\x69\x64\x3d\x31\x2c\x73\x74\x61\x74\
\x65\x3d\x61\x63\x74\x69\x76\x65\x2c\x64\x65\x70\x74\x68\x3d\x30\x29\0\x63\x72\
\x65\x61\x74\x65\x5f\x61\x6e\x64\x5f\x66\x6f\x72\x67\x65\x74\x5f\x74\x6f\x5f\
\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\
\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x55\x6e\x72\x65\x6c\x65\x61\x73\x65\x64\x20\x72\x65\
\x66\x65\x72\x65\x6e\x63\x65\x20\x69\x64\x3d\x31\0\x64\x65\x73\x74\x72\x6f\x79\
\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x63\x72\x65\x61\x74\x69\x6e\x67\x5f\x66\
\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x65\x78\x70\x65\x63\x74\x65\x64\x20\x61\x6e\
\x20\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\x20\x69\x74\x65\x72\x5f\x6e\
\x75\x6d\x20\x61\x73\x20\x61\x72\x67\x20\x23\x31\0\x63\x6f\x6d\x70\x72\x6f\x6d\
\x69\x73\x65\x5f\x69\x74\x65\x72\x5f\x77\x5f\x64\x69\x72\x65\x63\x74\x5f\x77\
\x72\x69\x74\x65\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x70\x72\x6f\x6d\x69\x73\x65\
\x5f\x69\x74\x65\x72\x5f\x77\x5f\x64\x69\x72\x65\x63\x74\x5f\x77\x72\x69\x74\
\x65\x5f\x61\x6e\x64\x5f\x73\x6b\x69\x70\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\
\x66\x61\x69\x6c\0\x63\x6f\x6d\x70\x72\x6f\x6d\x69\x73\x65\x5f\x69\x74\x65\x72\
\x5f\x77\x5f\x68\x65\x6c\x70\x65\x72\x5f\x77\x72\x69\x74\x65\x5f\x66\x61\x69\
\x6c\0\x6c\x65\x61\x6b\x5f\x69\x74\x65\x72\x5f\x66\x72\x6f\x6d\x5f\x73\x75\x62\
\x70\x72\x6f\x67\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x72\x65\x74\x75\x72\
\x6e\x69\x6e\x67\x20\x66\x72\x6f\x6d\x20\x63\x61\x6c\x6c\x65\x65\x3a\0\x73\x75\
\x62\x70\x72\x6f\x67\x5f\x77\x69\x74\x68\x5f\x69\x74\x65\x72\0\x76\x61\x6c\x69\
\x64\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x75\x73\x65\0\x64\x6f\x75\x62\x6c\x65\
\x5f\x63\x72\x65\x61\x74\x65\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x65\x78\
\x70\x65\x63\x74\x65\x64\x20\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\
\x64\x20\x69\x74\x65\x72\x5f\x6e\x75\x6d\x20\x61\x73\x20\x61\x72\x67\x20\x23\
\x31\0\x64\x6f\x75\x62\x6c\x65\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\
\x6c\0\x6e\x65\x78\x74\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x6e\x65\x77\x5f\x66\
\x61\x69\x6c\0\x6e\x65\x78\x74\x5f\x61\x66\x74\x65\x72\x5f\x64\x65\x73\x74\x72\
\x6f\x79\x5f\x66\x61\x69\x6c\0\x72\x65\x61\x64\x5f\x66\x72\x6f\x6d\x5f\x69\x74\
\x65\x72\x5f\x73\x6c\x6f\x74\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x69\x6e\
\x76\x61\x6c\x69\x64\x20\x72\x65\x61\x64\x20\x66\x72\x6f\x6d\x20\x73\x74\x61\
\x63\x6b\0\x73\x74\x61\x63\x6b\x73\x61\x66\x65\x5f\x73\x68\x6f\x75\x6c\x64\x5f\
\x6e\x6f\x74\x5f\x63\x6f\x6e\x66\x6c\x61\x74\x65\x5f\x73\x74\x61\x63\x6b\x5f\
\x73\x70\x69\x6c\x6c\x5f\x61\x6e\x64\x5f\x69\x74\x65\x72\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\
\x42\x50\x46\x5f\x46\x5f\x54\x45\x53\x54\x5f\x53\x54\x41\x54\x45\x5f\x46\x52\
\x45\x51\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x55\x6e\x72\x65\x6c\x65\x61\x73\x65\x64\x20\x72\
\x65\x66\x65\x72\x65\x6e\x63\x65\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x7a\x65\x72\x6f\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x34\x36\x30\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x34\x36\x30\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\
\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x69\x74\
\x65\x72\x73\x5f\x73\x74\x61\x74\x65\x5f\x73\x61\x66\x65\x74\x79\x2e\x63\0\x73\
\x74\x61\x74\x69\x63\x20\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x76\x6f\
\x69\x64\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x77\x69\x74\x68\x5f\x69\x74\x65\
\x72\x28\x76\x6f\x69\x64\x29\0\x09\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\
\x6d\x5f\x6e\x65\x77\x28\x26\x69\x74\x65\x72\x2c\x20\x30\x2c\x20\x31\x29\x3b\0\
\x7d\0\x69\x6e\x74\x20\x66\x6f\x72\x63\x65\x5f\x63\x6c\x61\x6e\x67\x5f\x74\x6f\
\x5f\x65\x6d\x69\x74\x5f\x62\x74\x66\x5f\x66\x6f\x72\x5f\x65\x78\x74\x65\x72\
\x6e\x73\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\x72\
\x65\x70\x65\x61\x74\x28\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\
\0\x69\x6e\x74\x20\x63\x72\x65\x61\x74\x65\x5f\x61\x6e\x64\x5f\x64\x65\x73\x74\
\x72\x6f\x79\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x61\x73\x6d\x20\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x69\x6e\x74\x20\x63\x72\x65\x61\x74\
\x65\x5f\x61\x6e\x64\x5f\x66\x6f\x72\x67\x65\x74\x5f\x74\x6f\x5f\x64\x65\x73\
\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\
\x29\0\x69\x6e\x74\x20\x64\x65\x73\x74\x72\x6f\x79\x5f\x77\x69\x74\x68\x6f\x75\
\x74\x5f\x63\x72\x65\x61\x74\x69\x6e\x67\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x63\x6f\x6d\x70\x72\x6f\x6d\x69\
\x73\x65\x5f\x69\x74\x65\x72\x5f\x77\x5f\x64\x69\x72\x65\x63\x74\x5f\x77\x72\
\x69\x74\x65\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\
\x69\x6e\x74\x20\x63\x6f\x6d\x70\x72\x6f\x6d\x69\x73\x65\x5f\x69\x74\x65\x72\
\x5f\x77\x5f\x64\x69\x72\x65\x63\x74\x5f\x77\x72\x69\x74\x65\x5f\x61\x6e\x64\
\x5f\x73\x6b\x69\x70\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\x28\
\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x63\x6f\x6d\x70\x72\
\x6f\x6d\x69\x73\x65\x5f\x69\x74\x65\x72\x5f\x77\x5f\x68\x65\x6c\x70\x65\x72\
\x5f\x77\x72\x69\x74\x65\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\
\x74\x78\x29\0\x09\x73\x75\x62\x70\x72\x6f\x67\x5f\x77\x69\x74\x68\x5f\x69\x74\
\x65\x72\x28\x29\x3b\0\x69\x6e\x74\x20\x76\x61\x6c\x69\x64\x5f\x73\x74\x61\x63\
\x6b\x5f\x72\x65\x75\x73\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\
\x6e\x74\x20\x64\x6f\x75\x62\x6c\x65\x5f\x63\x72\x65\x61\x74\x65\x5f\x66\x61\
\x69\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x64\x6f\
\x75\x62\x6c\x65\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\x28\x76\
\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x6e\x65\x78\x74\x5f\x77\
\x69\x74\x68\x6f\x75\x74\x5f\x6e\x65\x77\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x6e\x65\x78\x74\x5f\x61\x66\x74\
\x65\x72\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x73\x74\x61\x63\x6b\x73\x61\x66\
\x65\x5f\x73\x68\x6f\x75\x6c\x64\x5f\x6e\x6f\x74\x5f\x63\x6f\x6e\x66\x6c\x61\
\x74\x65\x5f\x73\x74\x61\x63\x6b\x5f\x73\x70\x69\x6c\x6c\x5f\x61\x6e\x64\x5f\
\x69\x74\x65\x72\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\
\0\x3f\x72\x61\x77\x5f\x74\x70\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\
\x94\0\0\0\x94\0\0\x03\x14\0\0\x03\xa8\0\0\0\0\0\0\0\x08\0\0\x07\xea\0\0\0\x01\
\0\0\0\0\0\0\0\x2b\0\0\x07\xf0\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\x70\0\0\0\x13\
\0\0\0\xc0\0\0\0\x17\0\0\x01\0\0\0\0\x1a\0\0\x01\x30\0\0\0\x1d\0\0\x01\x88\0\0\
\0\x20\0\0\x01\xd0\0\0\0\x23\0\0\x02\x48\0\0\0\x26\0\0\x02\x60\0\0\0\x2c\0\0\
\x02\xe0\0\0\0\x30\0\0\x03\x50\0\0\0\x33\0\0\x03\xb0\0\0\0\x36\0\0\x03\xf0\0\0\
\0\x39\0\0\x04\x50\0\0\0\x3d\0\0\x04\xc0\0\0\0\x40\0\0\0\x10\0\0\x07\xea\0\0\0\
\x03\0\0\0\0\0\0\x04\x75\0\0\x04\xf3\0\x02\xc0\0\0\0\0\x08\0\0\x04\x75\0\0\x05\
\x22\0\x02\xd0\x02\0\0\0\x28\0\0\x04\x75\0\0\x05\x42\0\x02\xdc\x01\0\0\x07\xf0\
\0\0\0\x2d\0\0\0\0\0\0\x04\x75\0\0\x05\x44\0\0\x4c\0\0\0\0\x08\0\0\x04\x75\0\0\
\x05\x77\0\0\x68\x02\0\0\0\x30\0\0\x04\x75\0\0\x05\x77\0\0\x68\x02\0\0\0\x40\0\
\0\x04\x75\0\0\x05\x77\0\0\x68\x02\0\0\0\x50\0\0\x04\x75\0\0\x05\x77\0\0\x68\
\x02\0\0\0\x60\0\0\x04\x75\0\0\x05\x87\0\0\x70\x02\0\0\0\x70\0\0\x04\x75\0\0\
\x05\x92\0\0\x88\0\0\0\0\x78\0\0\x04\x75\0\0\x05\xb4\0\0\x98\x02\0\0\0\xb0\0\0\
\x04\x75\0\0\x05\x87\0\0\xd0\x02\0\0\0\xc0\0\0\x04\x75\0\0\x05\xc4\0\0\xe4\0\0\
\0\0\xc8\0\0\x04\x75\0\0\x05\xb4\0\0\xf4\x02\0\0\0\xf0\0\0\x04\x75\0\0\x05\x87\
\0\x01\x20\x02\0\0\x01\0\0\0\x04\x75\0\0\x05\xf5\0\x01\x34\0\0\0\x01\x08\0\0\
\x04\x75\0\0\x05\xb4\0\x01\x48\x02\0\0\x01\x20\0\0\x04\x75\0\0\x05\x87\0\x01\
\x68\x02\0\0\x01\x30\0\0\x04\x75\0\0\x06\x22\0\x01\x7c\0\0\0\x01\x38\0\0\x04\
\x75\0\0\x05\xb4\0\x01\x8c\x02\0\0\x01\x78\0\0\x04\x75\0\0\x05\x87\0\x01\xd4\
\x02\0\0\x01\x88\0\0\x04\x75\0\0\x06\x55\0\x01\xe8\0\0\0\x01\x90\0\0\x04\x75\0\
\0\x05\xb4\0\x01\xf8\x02\0\0\x01\xc0\0\0\x04\x75\0\0\x05\x87\0\x02\x38\x02\0\0\
\x01\xd0\0\0\x04\x75\0\0\x06\x99\0\x02\x4c\0\0\0\x01\xd8\0\0\x04\x75\0\0\x05\
\xb4\0\x02\x5c\x02\0\0\x02\x38\0\0\x04\x75\0\0\x05\x87\0\x02\xb4\x02\0\0\x02\
\x48\0\0\x04\x75\0\0\x06\xcc\0\x03\0\x02\0\0\x02\x50\0\0\x04\x75\0\0\x05\x87\0\
\x03\x08\x02\0\0\x02\x60\0\0\x04\x75\0\0\x06\xe2\0\x03\x20\0\0\0\x02\x68\0\0\
\x04\x75\0\0\x05\xb4\0\x03\x30\x02\0\0\x02\xd0\0\0\x04\x75\0\0\x05\x87\0\x03\
\x94\x02\0\0\x02\xe0\0\0\x04\x75\0\0\x07\x03\0\x03\xa8\0\0\0\x02\xe8\0\0\x04\
\x75\0\0\x05\xb4\0\x03\xb8\x02\0\0\x03\x40\0\0\x04\x75\0\0\x05\x87\0\x04\x04\
\x02\0\0\x03\x50\0\0\x04\x75\0\0\x07\x25\0\x04\x18\0\0\0\x03\x58\0\0\x04\x75\0\
\0\x05\xb4\0\x04\x28\x02\0\0\x03\xa0\0\0\x04\x75\0\0\x05\x87\0\x04\x6c\x02\0\0\
\x03\xb0\0\0\x04\x75\0\0\x07\x48\0\x04\x80\0\0\0\x03\xb8\0\0\x04\x75\0\0\x05\
\xb4\0\x04\x90\x02\0\0\x03\xe0\0\0\x04\x75\0\0\x05\x87\0\x04\xc0\x02\0\0\x03\
\xf0\0\0\x04\x75\0\0\x07\x6d\0\x04\xd4\0\0\0\x03\xf8\0\0\x04\x75\0\0\x05\xb4\0\
\x04\xe4\x02\0\0\x04\x40\0\0\x04\x75\0\0\x05\x87\0\x05\x28\x02\0\0\x04\x50\0\0\
\x04\x75\0\0\x05\xb4\0\x05\x44\x02\0\0\x04\xc0\0\0\x04\x75\0\0\x07\x94\0\x05\
\xd4\0\0\0\x04\xc8\0\0\x04\x75\0\0\x05\xb4\0\x05\xe4\x02\0\0\x05\x40\0\0\x04\
\x75\0\0\x05\x87\0\x06\xa4\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\x02\x94\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xd8\0\0\0\0\0\0\x02\
\xa0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x78\0\0\0\0\0\0\0\x30\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xa8\0\0\0\0\0\0\x05\x50\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0a\xf8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0a\xfc\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\x02\x70\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\
\0\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\x02\x7a\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x10\0\0\
\0\0\0\0\x01\xf0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\x02\x86\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\
\0\x0c\xb4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x8b\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\xb8\0\0\0\0\0\0\x03\xc8\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct iters_state_safety *iters_state_safety::open(const struct bpf_object_open_opts *opts) { return iters_state_safety__open_opts(opts); }
struct iters_state_safety *iters_state_safety::open_and_load() { return iters_state_safety__open_and_load(); }
int iters_state_safety::load(struct iters_state_safety *skel) { return iters_state_safety__load(skel); }
int iters_state_safety::attach(struct iters_state_safety *skel) { return iters_state_safety__attach(skel); }
void iters_state_safety::detach(struct iters_state_safety *skel) { iters_state_safety__detach(skel); }
void iters_state_safety::destroy(struct iters_state_safety *skel) { iters_state_safety__destroy(skel); }
const void *iters_state_safety::elf_bytes(size_t *sz) { return iters_state_safety__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
iters_state_safety__assert(struct iters_state_safety *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->zero) == 4, "unexpected size of 'zero'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __ITERS_STATE_SAFETY_SKEL_H__ */
