/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_GLOBAL_FUNC11_SKEL_H__
#define __TEST_GLOBAL_FUNC11_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_global_func11 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *global_func11;
	} progs;
	struct {
		struct bpf_link *global_func11;
	} links;

#ifdef __cplusplus
	static inline struct test_global_func11 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_global_func11 *open_and_load();
	static inline int load(struct test_global_func11 *skel);
	static inline int attach(struct test_global_func11 *skel);
	static inline void detach(struct test_global_func11 *skel);
	static inline void destroy(struct test_global_func11 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_global_func11__destroy(struct test_global_func11 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_global_func11__create_skeleton(struct test_global_func11 *obj);

static inline struct test_global_func11 *
test_global_func11__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_global_func11 *obj;
	int err;

	obj = (struct test_global_func11 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_global_func11__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_global_func11__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_global_func11 *
test_global_func11__open(void)
{
	return test_global_func11__open_opts(NULL);
}

static inline int
test_global_func11__load(struct test_global_func11 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_global_func11 *
test_global_func11__open_and_load(void)
{
	struct test_global_func11 *obj;
	int err;

	obj = test_global_func11__open();
	if (!obj)
		return NULL;
	err = test_global_func11__load(obj);
	if (err) {
		test_global_func11__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_global_func11__attach(struct test_global_func11 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_global_func11__detach(struct test_global_func11 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_global_func11__elf_bytes(size_t *sz);

static inline int
test_global_func11__create_skeleton(struct test_global_func11 *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_global_func11";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "global_func11";
	s->progs[0].prog = &obj->progs.global_func11;
	s->progs[0].link = &obj->links.global_func11;

	s->data = test_global_func11__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_global_func11__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x40\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\x72\x65\x73\
\x73\0\x74\x65\x73\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\x63\x31\x31\
\x2e\x63\0\x4c\x42\x42\x30\x5f\x33\0\x66\x6f\x6f\0\x67\x6c\x6f\x62\x61\x6c\x5f\
\x66\x75\x6e\x63\x31\x31\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\
\x62\x2f\x69\x6e\x67\x72\x65\x73\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\
\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x03\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\x12\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x4a\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\xbf\x61\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x15\x60\0\x06\0\0\0\0\x85\0\0\0\0\0\
\0\x07\xbc\x10\0\0\0\0\0\0\x61\x26\0\0\0\0\0\0\xb4\0\0\0\0\0\0\x01\xae\x12\0\
\x01\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\
\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\
\0\0\0\0\0\0\x03\x44\0\0\x03\x44\0\0\x03\x2e\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\
\0\x0a\0\0\0\0\0\0\x03\0\0\0\x01\x04\0\0\x01\0\0\0\x04\0\0\0\x03\0\0\0\x04\0\0\
\0\0\0\0\0\x05\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\
\0\0\x09\0\0\0\x01\0\0\0\x0b\x0c\0\0\x01\0\0\0\x05\0\0\0\0\x02\0\0\0\0\0\0\x08\
\0\0\0\x0f\x04\0\0\x22\0\0\0\xc0\0\0\0\x19\0\0\0\x09\0\0\0\0\0\0\0\x1d\0\0\0\
\x09\0\0\0\x20\0\0\0\x26\0\0\0\x09\0\0\0\x40\0\0\0\x2b\0\0\0\x09\0\0\0\x60\0\0\
\0\x39\0\0\0\x09\0\0\0\x80\0\0\0\x42\0\0\0\x09\0\0\0\xa0\0\0\0\x4f\0\0\0\x09\0\
\0\0\xc0\0\0\0\x58\0\0\0\x09\0\0\0\xe0\0\0\0\x63\0\0\0\x09\0\0\x01\0\0\0\0\x6c\
\0\0\0\x09\0\0\x01\x20\0\0\0\x7c\0\0\0\x09\0\0\x01\x40\0\0\0\x84\0\0\0\x09\0\0\
\x01\x60\0\0\0\x8d\0\0\0\x0b\0\0\x01\x80\0\0\0\x90\0\0\0\x09\0\0\x02\x20\0\0\0\
\x95\0\0\0\x09\0\0\x02\x40\0\0\0\xa0\0\0\0\x09\0\0\x02\x60\0\0\0\xa5\0\0\0\x09\
\0\0\x02\x80\0\0\0\xae\0\0\0\x09\0\0\x02\xa0\0\0\0\xb6\0\0\0\x09\0\0\x02\xc0\0\
\0\0\xbd\0\0\0\x09\0\0\x02\xe0\0\0\0\xc8\0\0\0\x09\0\0\x03\0\0\0\0\xd2\0\0\0\
\x0d\0\0\x03\x20\0\0\0\xdd\0\0\0\x0d\0\0\x03\xa0\0\0\0\xe7\0\0\0\x09\0\0\x04\
\x20\0\0\0\xf3\0\0\0\x09\0\0\x04\x40\0\0\0\xfe\0\0\0\x09\0\0\x04\x60\0\0\0\0\0\
\0\0\x0e\0\0\x04\x80\0\0\x01\x08\0\0\0\x10\0\0\x04\xc0\0\0\x01\x0f\0\0\0\x09\0\
\0\x05\0\0\0\x01\x18\0\0\0\x09\0\0\x05\x20\0\0\0\0\0\0\0\x12\0\0\x05\x40\0\0\
\x01\x21\0\0\0\x09\0\0\x05\x80\0\0\x01\x2a\0\0\0\x14\0\0\x05\xa0\0\0\x01\x36\0\
\0\0\x10\0\0\x05\xc0\0\0\x01\x3f\x08\0\0\0\0\0\0\x0a\0\0\x01\x45\x01\0\0\0\0\0\
\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x0c\0\0\0\x05\0\0\
\x01\x52\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x0c\0\0\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x66\0\0\0\x0f\0\0\0\0\0\
\0\0\0\x02\0\0\0\0\0\0\x1a\0\0\x01\x70\x08\0\0\0\0\0\0\x11\0\0\x01\x76\x01\0\0\
\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x89\0\0\0\x13\0\0\
\0\0\0\0\0\0\x02\0\0\0\0\0\0\x1b\0\0\x01\x8c\x08\0\0\0\0\0\0\x15\0\0\x01\x91\
\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\x01\x9f\0\0\0\
\x07\0\0\x01\xa3\x0c\0\0\x01\0\0\0\x16\0\0\x01\xb1\x11\0\0\0\0\0\0\x17\xff\xff\
\xff\xff\0\0\x01\xcd\x11\0\0\0\0\0\0\x17\xff\xff\xff\xff\0\0\x02\x0c\x07\0\0\0\
\0\0\0\0\0\0\x02\x1a\x07\0\0\0\0\0\0\0\0\x53\0\x78\0\x69\x6e\x74\0\x73\0\x66\
\x6f\x6f\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\
\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\
\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\
\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\
\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\
\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\
\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\
\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\
\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\
\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\
\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\
\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\
\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\
\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\
\x6b\x62\0\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\x63\x31\x31\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\
\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x43\x61\x6c\x6c\x65\x72\x20\x70\x61\
\x73\x73\x65\x73\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x72\x67\x73\x20\x69\
\x6e\x74\x6f\x20\x66\x75\x6e\x63\x23\x31\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\
\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\x36\x30\x2e\x65\x6c\x39\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\x36\x30\x2e\x65\x6c\
\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\
\x63\x31\x31\x2e\x63\0\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\
\x20\x66\x6f\x6f\x28\x63\x6f\x6e\x73\x74\x20\x73\x74\x72\x75\x63\x74\x20\x53\
\x20\x2a\x73\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x20\x3f\x20\x62\x70\x66\
\x5f\x67\x65\x74\x5f\x70\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x33\x32\x28\x29\x20\
\x3c\x20\x73\x2d\x3e\x78\x20\x3a\x20\x30\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x66\x6f\x6f\x28\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\x29\x73\
\x6b\x62\x29\x3b\0\x2e\x74\x65\x78\x74\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\
\x62\x2f\x69\x6e\x67\x72\x65\x73\x73\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\
\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x94\0\0\0\xb8\0\0\0\0\0\0\0\x08\0\0\x03\x15\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\x03\x1b\0\0\0\x01\0\0\0\0\0\0\0\x17\0\0\0\x10\0\0\
\x03\x15\0\0\0\x06\0\0\0\0\0\0\x02\x23\0\0\x02\xa1\0\0\x2c\0\0\0\0\x10\0\0\x02\
\x23\0\0\x02\xc7\0\0\x34\x09\0\0\0\x18\0\0\x02\x23\0\0\x02\xc7\0\0\x34\x0d\0\0\
\0\x28\0\0\x02\x23\0\0\x02\xc7\0\0\x34\x28\0\0\0\x38\0\0\x02\x23\0\0\x02\xc7\0\
\0\x34\x23\0\0\0\x48\0\0\x02\x23\0\0\x02\xc7\0\0\x34\x02\0\0\x03\x1b\0\0\0\x02\
\0\0\0\0\0\0\x02\x23\0\0\x02\xf5\0\0\x50\x09\0\0\0\x08\0\0\x02\x23\0\0\x02\xf5\
\0\0\x50\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x7d\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\xa8\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\xb8\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x58\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\xc8\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\x6f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xd8\0\0\0\
\0\0\0\x06\x8a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x74\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x68\0\0\0\0\0\0\0\xd8\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_global_func11 *test_global_func11::open(const struct bpf_object_open_opts *opts) { return test_global_func11__open_opts(opts); }
struct test_global_func11 *test_global_func11::open_and_load() { return test_global_func11__open_and_load(); }
int test_global_func11::load(struct test_global_func11 *skel) { return test_global_func11__load(skel); }
int test_global_func11::attach(struct test_global_func11 *skel) { return test_global_func11__attach(skel); }
void test_global_func11::detach(struct test_global_func11 *skel) { test_global_func11__detach(skel); }
void test_global_func11::destroy(struct test_global_func11 *skel) { test_global_func11__destroy(skel); }
const void *test_global_func11::elf_bytes(size_t *sz) { return test_global_func11__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_global_func11__assert(struct test_global_func11 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_GLOBAL_FUNC11_SKEL_H__ */
